/**
 * 
 */
package com.zkh.soot.analysis;

/**
 * @author zkh
 *
 */
public class TaintSource {
	private String widget_name;
	private boolean self;
	private String api;
	private String classes;
	private String method;
	/**
	 * 
	 */
	public TaintSource(String classes, String method, String widget_name, boolean self, String api) {
		this.classes = classes;
		this.method = method;
		this.widget_name = widget_name;
		this.self = self;
		this.api = api;
	}
	
	public String getClasses() {
		return classes;
	}
	public String getMethod() {
		return method;
	}
	public String getWidgetName() {
		return widget_name;
	}
	public String getAction() {
		return api;
	}

	public boolean getSelf() {
		return self;
	}
	public boolean isParent() {
		return !self;
	}
	
	public void setClasses(String classes) {
		this.classes = classes;
	}
	public void setMethod(String method) {
		this.method = method;
	}
	public void setWidgetName(String widget_name) {
		this.widget_name = widget_name;
	}
	public void setAction(String api) {
		this.api = api;
	}

	public void setSelf(boolean self) {
		this.self = self;
	}

	public String toString() {
		return classes + "." + method + "." + widget_name + "." + api+ ", self = " + this.self;
	}

}
